Subject: bug#29149: Tramp shell uses local shell setting in windows

From: Shuguang Sun <[email-masked]>
Date: Thu, 16 Nov 2017 10:20:41 +0800

Hi Michael,

I attached the trace log which has actions: open the file coxph_bench.r,
and edit it, and save it. If you need the full log, please let me know.

Occur: c:/\|drive my help.

Looks like something of "| | | | | | 7 -> (tramp-drop-volume-letter
"c:/opt/home/username/test/coxph_bench.r")" was not applied.

On Tue, Nov 14, 2017 at 11:44 PM, Michael Albinus <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> A further information: it is about backup. When I setup
> >> tramp-backup-directory-alist which will make it backup
> >> serverside. However, It concat !driver_c to the backup file name.
> >>
> >> I have setting ("\\.md$" . "~/.emacs.d/backup-tramp/mdfiles") in
> >> tramp-backup-directory-alist. The backup file
> >> in the server is
> >> "!drive_c!plink!!user@host!!!opt!host!path!Ava!_summary.md.~1~"
> >>
> >> The "!drive_c" comes very strange.
> >
> > Michael, any advice on this one?  Do you understand where did
> > !drive_c! come from?  AFAIU, it should only be used for backups of
> > local files.
>
> Since I cannot test under MS Windows, I need traces. Shuguang, could
> you, pls, apply the settings as described in the Tramp manual, at the
> bottom of (info "(tramp) Traces and Profiles") . Rerun your tests,
> provoking a remote backup file. This produces a buffer *trace-output*,
> which should tell us where the mysterious !drive_c! is prepended.
>
> Best regards, Michael.
>